Robot Simulator of the Robotics Group for Self-Organization of Control: ThisSim Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ThisSim Class Reference

Inherits Simulation.

Inheritance diagram for ThisSim:

[legend]
Collaboration diagram for ThisSim:

[legend]
List of all members.

## Public Member Functions
void | start (const OdeHandle &odeHandle, const OsgHandle &osgHandle, GlobalData &global)
| start() is called at the first start of the cycles and should create all the object (obstacles, agents...).
virtual bool | command (const OdeHandle &, const OsgHandle &, GlobalData &globalData, int key, bool down)
| is called if a key was pressed.
virtual void | bindingDescription (osg::ApplicationUsage &au) const
| this can be used to describe the key bindings used by command()
## Public Attributes
AbstractController * | controller
Sphererobot3Masses * | sphere1

## Detailed Description

Examples:

  template_sphererobot/main.cpp.

## Member Function Documentation

virtual void bindingDescription | ( | osg::ApplicationUsage & | au | ) | const`[inline, virtual]`

this can be used to describe the key bindings used by command()

Reimplemented from Simulation.

virtual bool command | ( | const OdeHandle & | ,
|  | const OsgHandle & | ,
|  | GlobalData & | globalData,
|  | int | key,
|  | bool | down |
| ) |  |  | `[inline, virtual]`

is called if a key was pressed.

For keycodes see: osgGA::GUIEventAdapter

Returns:
  true if the key was handled

Reimplemented from Simulation.

void start | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | GlobalData & | global |
| ) |  |  | `[inline, virtual]`

start() is called at the first start of the cycles and should create all the object (obstacles, agents...).

Implements Simulation.

## Member Data Documentation

AbstractController* controller

Sphererobot3Masses* sphere1

The documentation for this class was generated from the following file:

- ode_robots/examples/template_sphererobot/main.cpp